Bug 151164 - Update port: archivers/rvm version bump
Summary: Update port: archivers/rvm version bump
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-03 00:00 UTC by Davide ITaliano
Modified: 2010-10-07 18:10 UTC (History)
0 users

See Also:


Attachments
file.diff (4.89 KB, patch)
2010-10-03 00:00 UTC, Davide ITaliano
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Davide ITaliano 2010-10-03 00:00:05 UTC
Version bump w/ minor updates

Fix: Patch attached with submission follows:
Comment 1 Dmitry Marakasov freebsd_committer 2010-10-04 04:12:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-10-07 17:38:41 UTC
amdmi3      2010-10-07 16:38:36 UTC

  FreeBSD ports repository

  Modified files:
    archivers/rvm        Makefile distinfo 
  Removed files:
    archivers/rvm/files  patch-configure 
  Log:
  - Update to 1.07
  - Pass maintainership to submitter
  
  PR:             151164
  Submitted by:   Davide Italiano <davide.italiano@gmail.com>
  
  Revision  Changes    Path
  1.26      +4 -3      ports/archivers/rvm/Makefile
  1.12      +3 -3      ports/archivers/rvm/distinfo
  1.3       +0 -119    ports/archivers/rvm/files/patch-configure (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Dmitry Marakasov 2010-10-07 18:05:11 UTC
> Synopsis: Update port: archivers/rvm version bump

Note: I've added --enable-assume-stl-memory-exception to CONFIGURE_ARGS,
it does the same as removed patch did before.

Without this, configure checks whether stl throws exception when
out of memory by filling the memory with garbage. On i386 you're
likely to run out of address space before the whole system ends up
in swap, but on amd64 with larger address space it'll swap heavily,
and has possibility to kill other apps due to OOM. The result of
this check is only used in testing framework which isn't used by
the port anyway (althrough it probably should be), so it's irrelevant.
Due to how VM system works, such check is useless and broken anyway,
so it should always be disabled.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Dmitry Marakasov freebsd_committer 2010-10-07 18:09:05 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!